MediaMarkt
Learn how to start scraping MediaMarkt.
With Web Scraper API, you can scrape various types of MediaMarkt pages; below is an overview of all supported scrapers and their respective source values. The response returns the page HTML in content, in the standard response structure described in Realtime and Push-Pull.
mediamarkt_search
Search page for a search term of your choice.
mediamarkt_product
Product page of a product ID of your choice.
Any other MediaMarkt page can be scraped by passing its url alone, no source needed.
Search
Request samples
curl 'https://realtime.oxylabs.io/v1/queries' \
--user 'USERNAME:PASSWORD' \
-H 'Content-Type: application/json' \
-d '{
"source": "mediamarkt_search",
"query": "vacuum"
}'import requests
from pprint import pprint
# Structure payload.
payload = {
'source': 'mediamarkt_search',
'query': 'vacuum'
}
# Get response.
response = requests.request(
'POST',
'https://realtime.oxylabs.io/v1/queries',
auth=('USERNAME', 'PASSWORD'),
json=payload
)
# Instead of response with job status and results url, this will return the
# JSON response with the result.
pprint(response.json())Request parameter values
source
Sets the scraper.
mediamarkt_search
query
The keyword or phrase to search for products.
-
- mandatory parameter
Product
Request samples
Request parameter values
source
Sets the scraper.
mediamarkt_product
product_id
The numeric product ID at the end of the product page URL, e.g. mediamarkt.de/de/product/_miele-guard-l1-silence-staubsauger-2966544.html.
-
- mandatory parameter
Localization and Filtering
domain
mediamarkt_search, mediamarkt_product
MediaMarkt regional site. Available values: de, es, nl, be, pl. Product IDs belong to one site, so use the domain of the site the ID comes from.
de
Last updated
Was this helpful?